
* Program..: VI-LIST.CMD
* Author...: Lyle Burks
* Date.....: June 7, 1985
* Notice...: Copyright 1985, All Rights Reserved
* Notes....: 
* Reserved.: select, selectnum
*
SET TALK OFF
SET BELL OFF
SET COLON OFF

DO WHILE T

ERASE
@  1, 0 SAY "========================================"
@  1,40 SAY "========================================"
@  2, 0 SAY "||"
@  2,14 SAY "L I S T    G E N E R A T O R    F O R    M O V I E S"
@  2,78 SAY "||"
@  3, 0 SAY "========================================"
@  3,40 SAY "========================================"
@  4, 0 SAY "||"
@  4,78 SAY "||"
@  5, 0 SAY "||"
@  5,78 SAY "||"
@  6, 0 SAY "||"
@  6,78 SAY "||"
@  7, 0 SAY "||"
@  7,78 SAY "||"
@  8, 0 SAY "||"
@  8,78 SAY "||"
@  9, 0 SAY "||"
@  9,78 SAY "||"
@ 10, 0 SAY "========================================"
@ 10,40 SAY "========================================"
@  5,28 SAY " 0. exit"
@  6,28 SAY " 1. list by title"
@  7,28 SAY " 2. list by tape number"
STORE  3 TO selectnum
DO WHILE selectnum < 0 .OR. selectnum >  2
   STORE " " TO select
   @ 10,33 SAY " select : : "
   @ 10,42 GET select PICTURE "#"
   READ
   STORE VAL(select) TO selectnum
ENDDO

DO CASE
   CASE selectnum= 0
      SET COLON ON
      SET BELL ON
      SET TALK ON
      CLEAR
      RETURN
   CASE selectnum= 1
   *  DO list by title
      DO  vidtitle
   CASE selectnum= 2
   *  DO list by tape number
      DO vidtape
ENDCASE

ENDDO T
* EOF: VI-LIST.CMD
